|  | Home · All Classes · Modules

# QLibrary.LoadHints Class Reference
[QtCore module]

### Methods

- __init__ (self, LoadHints)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- LoadHints __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, LoadHints f)
- LoadHints __iand__ (self, int mask)
- int __int__ (self)
- LoadHints __invert__ (self)
- LoadHints __ior__ (self, LoadHints f)
- LoadHints __ixor__ (self, LoadHints f)
- bool __ne__ (self, LoadHints f)
- LoadHints __or__ (self, LoadHints f)
- LoadHints __or__ (self, int f)
- LoadHints __xor__ (self, LoadHints f)
- LoadHints __xor__ (self, int f)

## Detailed Description

LoadHint may be used whenever LoadHints is expected.

## Method Documentation

### LoadHints.__init__ (self, LoadHints)

### LoadHints.__init__ (self, int)

### LoadHints.__init__ (self)

### LoadHints LoadHints.__and__ (self, int mask)

### int LoadHints.__bool__ (self)

### bool LoadHints.__eq__ (self, LoadHints f)

### LoadHints LoadHints.__iand__ (self, int mask)

### int LoadHints.__int__ (self)

### LoadHints LoadHints.__invert__ (self)

### LoadHints LoadHints.__ior__ (self, LoadHints f)

### LoadHints LoadHints.__ixor__ (self, LoadHints f)

### bool LoadHints.__ne__ (self, LoadHints f)

### LoadHints LoadHints.__or__ (self, LoadHints f)

### LoadHints LoadHints.__or__ (self, int f)

### LoadHints LoadHints.__xor__ (self, LoadHints f)

### LoadHints LoadHints.__xor__ (self, int f)